return {
    -- literally the name, previews md in browser
    "iamcco/markdown-preview.nvim",
    cmd = { "MarkdownPreviewToggle", "MarkdownPreview", "MarkdownPreviewStop" },
    ft = { "markdown" },
    keys = {
        { "<leader><leader>m", ":MarkdownPreview<CR>", desc = "Preview Markdown document in browser" },
    },
    build = function(plugin)
        if vim.fn.executable("npx") then
            vim.cmd("!cd " .. plugin.dir .. " && cd app && npx --yes yarn install")
        else
            vim.cmd([[Lazy load markdown-preview.nvim]])
            vim.fn["mkdp#util#install"]()
        end
    end,
    init = function()
        if vim.fn.executable("npx") then
            vim.g.mkdp_filetypes = { "markdown" }
        end
    end,
}
